%define oname fampp2
Version: 6.0.0
Name: libfampp2
Release: alt1

Summary: C++ wrapper for fam or gamin

License: GPL
Group: System/Libraries
Url: http://sourceforge.net/projects/fampp/

Source: http://prdownloads.sourceforge.net/witme/%oname-%version.tar.bz2

# Automatically added by buildreq on Tue Jan 08 2008
BuildRequires: gcc-c++ libferrisloki-devel libgamin-devel libgtk+2-devel libpopt-devel

%description
A C++ system library that wraps fam or gamin using coding style that relies on
the loki system library.

%package devel
Summary: Development files needed to build applications with %name
Group: Development/C++
Requires: %name = %version

%description devel
Development files needed to build applications with %name.

%prep
%setup -q -n %oname-%version

%build
%configure --with-sigcxx-2x=yes --disable-stlport
%make_build

%install
%make_install install DESTDIR=%buildroot

%post -p %post_ldconfig

%postun -p %post_ldconfig

%files
%doc AUTHORS README ChangeLog INSTALL
%_bindir/*
%_libdir/lib*.so.*

%files devel
%_libdir/lib*.so
%_pkgconfigdir/*
%_includedir/*.hh

%changelog
* Tue Jan 08 2008 Vitaly Lipatov <lav@altlinux.ru> 6.0.0-alt1
- initial build for ALT Linux Sisyphus

* Thu Nov 1 2001 Ben Martin
- Created
